---
primaryTopic:
  Accounts:
    AccountCategory: MICRO
    AccountRefDay: 31
    AccountRefMonth: 03
    LastMadeUpDate: 31/03/2021
    NextDueDate: ~
  CompanyCategory: Private Limited Company
  CompanyName: M R H PRODRIVE LTD
  CompanyNumber: 09336271
  CompanyStatus: Dissolved
  CountryOfOrigin: United Kingdom
  IncorporationDate: 02/12/2014
  DissolutionDate: 09/11/2021
  RegAddress:
    AddressLine1: 34 AIREBURN AVENUE
    AddressLine2: STEETON
    PostTown: KEIGHLEY
    County: WEST YORKSHIRE
    Postcode: BD20 6NH
  Returns:
    LastMadeUpDate: ~
    NextDueDate: ~
  SICCodes:
    SicText:
      - '49410 - Freight transport by road'
      - '52219 - Other service activities incidental to land transportation, not elsewhere classified'
